diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index ae9d33f..878c157 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -89438,47 +89438,131 @@ SparseMultivariatePolynomial(R: Ring,VarSet: OrderedSet): C == T where
 )set message test on
 )set message auto off
 )clear all
+
 --S 1 of 10
 xts:=x::TaylorSeries Fraction Integer
+--R 
+--R
+--R   (1)  x
+--R                                          Type: TaylorSeries Fraction Integer
 --E 1
 
 --S 2 of 10
 yts:=y::TaylorSeries Fraction Integer
+--R 
+--R
+--R   (2)  y
+--R                                          Type: TaylorSeries Fraction Integer
 --E 2
 
 --S 3 of 10
 zts:=z::TaylorSeries Fraction Integer
+--R 
+--R
+--R   (3)  z
+--R                                          Type: TaylorSeries Fraction Integer
 --E 3
 
 --S 4 of 10
 t1:=sin(xts)
+--R 
+--R
+--R            1  3    1   5     1   7      1    9
+--R   (4)  x - - x  + --- x  - ---- x  + ------ x  + O(11)
+--R            6      120      5040      362880
+--R                                          Type: TaylorSeries Fraction Integer
 --E 4
 
 --S 5 of 10
 coefficient(t1,3)
+--R 
+--R
+--R          1  3
+--R   (5)  - - x
+--R          6
+--R                                            Type: Polynomial Fraction Integer
 --E 5
 
 --S 6 of 10
 coefficient(t1,monomial(3,x)$IndexedExponents Symbol)
+--R 
+--R
+--R          1
+--R   (6)  - -
+--R          6
+--R                                                       Type: Fraction Integer
 --E 6
 
 --S 7 of 10
 t2:=sin(xts + yts)
+--R 
+--R
+--R   (7)
+--R                  1  3   1    2   1  2    1  3
+--R     (y + x) + (- - y  - - x y  - - x y - - x )
+--R                  6      2        2       6
+--R   + 
+--R       1   5    1    4    1  2 3    1  3 2    1  4     1   5
+--R     (--- y  + -- x y  + -- x y  + -- x y  + -- x y + --- x )
+--R      120      24        12        12        24       120
+--R   + 
+--R     PAREN
+--R              1   7    1     6    1   2 5    1   3 4    1   4 3    1   5 2
+--R          - ---- y  - --- x y  - --- x y  - --- x y  - --- x y  - --- x y
+--R            5040      720        240        144        144        240
+--R        + 
+--R             1   6      1   7
+--R          - --- x y - ---- x
+--R            720       5040
+--R   + 
+--R     PAREN
+--R             1    9     1      8     1    2 7     1   3 6     1   4 5
+--R          ------ y  + ----- x y  + ----- x y  + ---- x y  + ---- x y
+--R          362880      40320        10080        4320        2880
+--R        + 
+--R            1   5 4     1   6 3     1    7 2     1    8       1    9
+--R          ---- x y  + ---- x y  + ----- x y  + ----- x y + ------ x
+--R          2880        4320        10080        40320       362880
+--R   + 
+--R     O(11)
+--R                                          Type: TaylorSeries Fraction Integer
 --E 7
 
 --S 8 of 10
 coefficient(t2,3)
+--R 
+--R
+--R          1  3   1    2   1  2    1  3
+--R   (8)  - - y  - - x y  - - x y - - x
+--R          6      2        2       6
+--R                                            Type: Polynomial Fraction Integer
 --E 8
 
 --S 9 of 10
 coefficient(t2,monomial(3,x)$IndexedExponents Symbol)
+--R 
+--R
+--R          1
+--R   (9)  - -
+--R          6
+--R                                                       Type: Fraction Integer
 --E 9
 
 --S 10 of 10
 polynomial(t2,5)
+--R 
+--R
+--R   (10)
+--R      1   5    1    4     1  2   1  3     1  3   1    2     1  4   1  2
+--R     --- y  + -- x y  + (-- x  - -)y  + (-- x  - - x)y  + (-- x  - - x  + 1)y
+--R     120      24         12      6       12      2         24      2
+--R   + 
+--R      1   5   1  3
+--R     --- x  - - x  + x
+--R     120      6
+--R                                            Type: Polynomial Fraction Integer
 --E 10
 
-
 )spool
 )lisp (bye)
 @
@@ -89486,6 +89570,107 @@ polynomial(t2,5)
 ====================================================================
 SparseMultivariateTaylorSeries examples
 ====================================================================
+
+Assume we have three variables which get expressed as sparse
+multivariate taylor series. 
+
+  xts:=x::TaylorSeries Fraction Integer
+  yts:=y::TaylorSeries Fraction Integer
+  zts:=z::TaylorSeries Fraction Integer
+
+These will cause traditional routines to expand in series form:
+
+  t1:=sin(xts)
+
+         1  3    1   5     1   7      1    9
+     x - - x  + --- x  - ---- x  + ------ x  + O(11)
+         6      120      5040      362880
+
+
+We can ask for a specific coefficient, in this case, the coefficient
+of the third power.
+
+  coefficient(t1,3)
+
+       1  3
+     - - x
+       6
+
+
+And we can get that coefficient, expressed as a monomial.
+
+  coefficient(t1,monomial(3,x)$IndexedExponents Symbol)
+
+       1
+     - -
+       6
+
+
+In a multivariate version we get a polynomial in x and y
+
+  t2:=sin(xts + yts)
+
+                  1  3   1    2   1  2    1  3
+     (y + x) + (- - y  - - x y  - - x y - - x )
+                  6      2        2       6
+   + 
+       1   5    1    4    1  2 3    1  3 2    1  4     1   5
+     (--- y  + -- x y  + -- x y  + -- x y  + -- x y + --- x )
+      120      24        12        12        24       120
+   + 
+     PAREN
+              1   7    1     6    1   2 5    1   3 4    1   4 3    1   5 2
+          - ---- y  - --- x y  - --- x y  - --- x y  - --- x y  - --- x y
+            5040      720        240        144        144        240
+        + 
+             1   6      1   7
+          - --- x y - ---- x
+            720       5040
+   + 
+     PAREN
+             1    9     1      8     1    2 7     1   3 6     1   4 5
+          ------ y  + ----- x y  + ----- x y  + ---- x y  + ---- x y
+          362880      40320        10080        4320        2880
+        + 
+            1   5 4     1   6 3     1    7 2     1    8       1    9
+          ---- x y  + ---- x y  + ----- x y  + ----- x y + ------ x
+          2880        4320        10080        40320       362880
+   + 
+     O(11)
+
+
+We can ask for the third coefficient which is
+
+  coefficient(t2,3)
+
+       1  3   1    2   1  2    1  3
+     - - y  - - x y  - - x y - - x
+       6      2        2       6
+
+And we can ask for the third coefficient of that coefficient in x
+
+  coefficient(t2,monomial(3,x)$IndexedExponents Symbol)
+
+       1
+     - -
+       6
+
+And we can convert that result to a polynomial
+
+  polynomial(t2,5)
+
+      1   5    1    4     1  2   1  3     1  3   1    2     1  4   1  2
+     --- y  + -- x y  + (-- x  - -)y  + (-- x  - - x)y  + (-- x  - - x  + 1)y
+     120      24         12      6       12      2         24      2
+   + 
+      1   5   1  3
+     --- x  - - x  + x
+     120      6
+
+See Also:
+o )show SparseMultivariateTaylorSeries
+o )display op coefficient
+
 @
 \pagehead{SparseMultivariateTaylorSeries}{SMTS}
 \pagepic{ps/v103sparsemultivariatetaylorseries.ps}{SMTS}{1.00}
@@ -89610,6 +89795,11 @@ SparseMultivariateTaylorSeries(Coef,Var,SMP):_
   Exports ==> MultivariateTaylorSeriesCategory(Coef,Var) with
     coefficient: (%,NNI) -> SMP
       ++ \spad{coefficient(s, n)} gives the terms of total degree n.
+      ++
+      ++X xts:=x::TaylorSeries Fraction Integer
+      ++X t1:=sin(xts)
+      ++X coefficient(t1,3)
+
     coerce: Var -> %
       ++ \spad{coerce(var)} converts a variable to a Taylor series
     coerce: SMP -> %
diff --git a/changelog b/changelog
index 26cb3eb..556b0c8 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20090518 tpd src/axiom-website/patches.html 20090518.07.tpd.patch
+20090518 tpd src/algebra/Makefile add input, help, examples for SMTS
+20090518 tpd books/bookvol10.3 SMTS add input, help, examples
 20090518 tpd src/axiom-website/patches.html 20090518.06.tpd.patch
 20090518 tpd books/bookvol10.4 EXPR2 +-> conversion
 20090518 tpd src/axiom-website/patches.html 20090518.05.tpd.patch
diff --git a/src/algebra/Makefile.pamphlet b/src/algebra/Makefile.pamphlet
index 5f29a1b..ac13081 100644
--- a/src/algebra/Makefile.pamphlet
+++ b/src/algebra/Makefile.pamphlet
@@ -16510,7 +16510,9 @@ SPADHELP=\
  ${HELP}/RomanNumeral.help           ${HELP}/Segment.help \
  ${HELP}/SegmentBinding.help \
  ${HELP}/Set.help                    ${HELP}/SingleInteger.help \
- ${HELP}/SparseTable.help            ${HELP}/SquareMatrix.help \
+ ${HELP}/SparseTable.help            \
+ ${HELP}/SparseMultivariateTaylorSeries.help \
+ ${HELP}/SquareMatrix.help \
  ${HELP}/SquareFreeRegularTriangularSet.help ${HELP}/Stack.help \
  ${HELP}/Stream.help                 ${HELP}/String.help \
  ${HELP}/StringTable.help            ${HELP}/Symbol.help \
@@ -16587,7 +16589,8 @@ REGRESS=\
  RealSolvePackage.regress       RegularTriangularSet.regress \
  RomanNumeral.regress           Segment.regress \
  Set.regress                    SingleInteger.regress \
- SparseTable.regress            SquareMatrix.regress \
+ SparseTable.regress            SparseMultivariateTaylorSeries.regress \
+ SquareMatrix.regress \
  SquareFreeRegularTriangularSet.regress Stack.regress \
  Stream.regress                 String.regress \
  StringTable.regress            Symbol.regress \
@@ -16624,7 +16627,7 @@ all: ${REGRESS}
 @
 <<spadhelp>>=
 ${HELP}/ApplicationProgramInterface.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 6999 create ApplicationProgramInterface.help from \
+	@echo 7000 create ApplicationProgramInterface.help from \
            ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"ApplicationProgramInterface.help" \
            ${BOOKS}/bookvol10.4.pamphlet \
@@ -16636,7 +16639,7 @@ ${HELP}/ApplicationProgramInterface.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo "ApplicationProgramInterface (API)" >>${HELPFILE}
 
 ${HELP}/ArrayStack.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7000 create ArrayStack.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7010 create ArrayStack.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"ArrayStack.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/ArrayStack.help
 	@cp ${HELP}/ArrayStack.help ${HELP}/ASTACK.help
@@ -16645,7 +16648,7 @@ ${HELP}/ArrayStack.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "ArrayStack (ASTACK)" >>${HELPFILE}
 
 ${HELP}/AssociationList.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7001 create AssociationList.help from \
+	@echo 7020 create AssociationList.help from \
            ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"AssociationList.help" ${BOOKS}/bookvol10.3.pamphlet \
             >${HELP}/AssociationList.help
@@ -16655,7 +16658,7 @@ ${HELP}/AssociationList.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "AssociationList (ALIST)" >>${HELPFILE}
 
 ${HELP}/BalancedBinaryTree.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7002 create BalancedBinaryTree.help from \
+	@echo 7030 create BalancedBinaryTree.help from \
             ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"BalancedBinaryTree.help" ${BOOKS}/bookvol10.3.pamphlet \
             >${HELP}/BalancedBinaryTree.help
@@ -16665,7 +16668,7 @@ ${HELP}/BalancedBinaryTree.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "BalancedBinaryTree (BBTREE)" >>${HELPFILE}
 
 ${HELP}/BasicOperator.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7003 create BasicOperator.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7040 create BasicOperator.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"BasicOperator.help" ${BOOKS}/bookvol10.3.pamphlet \
             >${HELP}/BasicOperator.help
 	@cp ${HELP}/BasicOperator.help ${HELP}/BOP.help
@@ -16674,7 +16677,7 @@ ${HELP}/BasicOperator.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "BasicOperator (BOP)" >>${HELPFILE}
 
 ${HELP}/Bezier.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7004 create Bezier.help from ${BOOKS}/bookvol10.4.pamphlet
+	@echo 7050 create Bezier.help from ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"Bezier.help" ${BOOKS}/bookvol10.4.pamphlet \
             >${HELP}/Bezier.help
 	@cp ${HELP}/Bezier.help ${HELP}/BEZIER.help
@@ -16683,7 +16686,7 @@ ${HELP}/Bezier.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo "Bezier (BEZIER)" >>${HELPFILE}
 
 ${HELP}/BinaryExpansion.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7004 create BinaryExpansion.help from \
+	@echo 7060 create BinaryExpansion.help from \
             ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"BinaryExpansion.help" ${BOOKS}/bookvol10.3.pamphlet \
             >${HELP}/BinaryExpansion.help
@@ -16693,7 +16696,7 @@ ${HELP}/BinaryExpansion.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "BinaryExpansion (BINARY)" >>${HELPFILE}
 
 ${HELP}/BinarySearchTree.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7005 create BinarySearchTree.help from \
+	@echo 7070 create BinarySearchTree.help from \
             ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"BinarySearchTree.help" ${BOOKS}/bookvol10.3.pamphlet \
             >${HELP}/BinarySearchTree.help
@@ -16703,7 +16706,7 @@ ${HELP}/BinarySearchTree.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "BinarySearchTree (BSTREE)" >>${HELPFILE}
 
 ${HELP}/CardinalNumber.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7006 create CardinalNumber.help from \
+	@echo 7080 create CardinalNumber.help from \
                 ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"CardinalNumber.help" ${BOOKS}/bookvol10.3.pamphlet \
             >${HELP}/CardinalNumber.help
@@ -16713,7 +16716,7 @@ ${HELP}/CardinalNumber.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "CardinalNumber (CARD)" >>${HELPFILE}
 
 ${HELP}/CartesianTensor.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7007 create CartesianTensor.help from \
+	@echo 7090 create CartesianTensor.help from \
              ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"CartesianTensor.help" ${BOOKS}/bookvol10.3.pamphlet \
             >${HELP}/CartesianTensor.help
@@ -16723,7 +16726,7 @@ ${HELP}/CartesianTensor.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "CartesianTensor (CARTEN)" >>${HELPFILE}
 
 ${HELP}/Character.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7008 create Character.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7100 create Character.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Character.help" ${BOOKS}/bookvol10.3.pamphlet \
             >${HELP}/Character.help
 	@cp ${HELP}/Character.help ${HELP}/CHAR.help
@@ -16732,7 +16735,7 @@ ${HELP}/Character.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Character (CHAR)" >>${HELPFILE}
 
 ${HELP}/CharacterClass.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7009 create CharacterClass.help from \
+	@echo 7110 create CharacterClass.help from \
            ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"CharacterClass.help" ${BOOKS}/bookvol10.3.pamphlet \
             >${HELP}/CharacterClass.help
@@ -16742,7 +16745,7 @@ ${HELP}/CharacterClass.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "CharacterClass (CCLASS)" >>${HELPFILE}
 
 ${HELP}/CliffordAlgebra.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7010 create CliffordAlgebra.help from \
+	@echo 7120 create CliffordAlgebra.help from \
           ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"CliffordAlgebra.help" ${BOOKS}/bookvol10.3.pamphlet \
             >${HELP}/CliffordAlgebra.help
@@ -16752,7 +16755,7 @@ ${HELP}/CliffordAlgebra.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "CliffordAlgebra (CLIF)" >>${HELPFILE}
 
 ${HELP}/CombinatorialFunction.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7010 create CombinatorialFunction.help from \
+	@echo 7130 create CombinatorialFunction.help from \
           ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"CombinatorialFunction.help" \
           ${BOOKS}/bookvol10.4.pamphlet \
@@ -16764,7 +16767,7 @@ ${HELP}/CombinatorialFunction.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo "CombinatorialFunction (COMBF)" >>${HELPFILE}
 
 ${HELP}/Complex.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7011 create Complex.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7140 create Complex.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Complex.help" ${BOOKS}/bookvol10.3.pamphlet \
             >${HELP}/Complex.help
 	@cp ${HELP}/Complex.help ${HELP}/COMPLEX.help
@@ -16773,7 +16776,7 @@ ${HELP}/Complex.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Complex (COMPLEX)" >>${HELPFILE}
 
 ${HELP}/ContinuedFraction.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7012 create ContinuedFraction.help from \
+	@echo 7150 create ContinuedFraction.help from \
             ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"ContinuedFraction.help" ${BOOKS}/bookvol10.3.pamphlet \
             >${HELP}/ContinuedFraction.help
@@ -16783,7 +16786,7 @@ ${HELP}/ContinuedFraction.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "ContinuedFraction (CONTFRAC)" >>${HELPFILE}
 
 ${HELP}/CycleIndicators.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7013 create CycleIndicators.help from \
+	@echo 7160 create CycleIndicators.help from \
             ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"CycleIndicators.help" ${BOOKS}/bookvol10.4.pamphlet \
             >${HELP}/CycleIndicators.help
@@ -16793,7 +16796,7 @@ ${HELP}/CycleIndicators.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo "CycleIndicators (CYCLES)" >>${HELPFILE}
 
 ${HELP}/DeRhamComplex.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7014 create DeRhamComplex.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7170 create DeRhamComplex.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"DeRhamComplex.help" ${BOOKS}/bookvol10.3.pamphlet \
             >${HELP}/DeRhamComplex.help
 	@cp ${HELP}/DeRhamComplex.help ${HELP}/DERHAM.help
@@ -16802,7 +16805,7 @@ ${HELP}/DeRhamComplex.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "DeRhamComplex (DERHAM)" >>${HELPFILE}
 
 ${HELP}/DecimalExpansion.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7015 create DecimalExpansion.help from \
+	@echo 7180 create DecimalExpansion.help from \
             ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"DecimalExpansion.help" ${BOOKS}/bookvol10.3.pamphlet \
             >${HELP}/DecimalExpansion.help
@@ -16812,7 +16815,7 @@ ${HELP}/DecimalExpansion.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "DecimalExpansion (DECIMAL)" >>${HELPFILE}
 
 ${HELP}/Dequeue.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7016 create Dequeue.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7190 create Dequeue.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Dequeue.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/Dequeue.help
 	@cp ${HELP}/Dequeue.help ${HELP}/DEQUEUE.help
@@ -16822,7 +16825,7 @@ ${HELP}/Dequeue.help: ${BOOKS}/bookvol10.3.pamphlet
 
 ${HELP}/DistributedMultivariatePolynomial.help: \
             ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7017 create DistributedMultivariatePolynomial.help \
+	@echo 7200 create DistributedMultivariatePolynomial.help \
             from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"DistributedMultivariatePolynomial.help" \
            ${BOOKS}/bookvol10.3.pamphlet \
@@ -16834,7 +16837,7 @@ ${HELP}/DistributedMultivariatePolynomial.help: \
 	@echo "DistributedMultivariatePolynomial (DMP)" >>${HELPFILE}
 
 ${HELP}/DoubleFloat.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7018 create DoubleFloat.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7210 create DoubleFloat.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"DoubleFloat.help" ${BOOKS}/bookvol10.3.pamphlet \
             >${HELP}/DoubleFloat.help
 	@cp ${HELP}/DoubleFloat.help ${HELP}/DFLOAT.help
@@ -16843,7 +16846,7 @@ ${HELP}/DoubleFloat.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "DoubleFloat (DFLOAT)" >>${HELPFILE}
 
 ${HELP}/ElementaryFunction.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7018 create ElementaryFunction.help from \
+	@echo 7220 create ElementaryFunction.help from \
             ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"ElementaryFunction.help" ${BOOKS}/bookvol10.4.pamphlet \
             >${HELP}/ElementaryFunction.help
@@ -16853,7 +16856,7 @@ ${HELP}/ElementaryFunction.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo "ElementaryFunction (EF)" >>${HELPFILE}
 
 ${HELP}/EqTable.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7019 create EqTable.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7230 create EqTable.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"EqTable.help" ${BOOKS}/bookvol10.3.pamphlet \
             >${HELP}/EqTable.help
 	@cp ${HELP}/EqTable.help ${HELP}/EQTBL.help
@@ -16862,7 +16865,7 @@ ${HELP}/EqTable.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "EqTable (EQTBL)" >>${HELPFILE}
 
 ${HELP}/Equation.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7020 create Equation.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7240 create Equation.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Equation.help" ${BOOKS}/bookvol10.3.pamphlet \
             >${HELP}/Equation.help
 	@cp ${HELP}/Equation.help ${HELP}/EQ.help
@@ -16871,7 +16874,7 @@ ${HELP}/Equation.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Equation (EQ)" >>${HELPFILE}
 
 ${HELP}/EuclideanGroebnerBasisPackage.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7021 create EuclideanGroebnerBasisPackage.help from \
+	@echo 7250 create EuclideanGroebnerBasisPackage.help from \
             ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"EuclideanGroebnerBasisPackage.help" \
             ${BOOKS}/bookvol10.4.pamphlet \
@@ -16883,7 +16886,7 @@ ${HELP}/EuclideanGroebnerBasisPackage.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo "EuclideanGroebnerBasisPackage (GBEUCLID)" >>${HELPFILE}
 
 ${HELP}/Expression.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7022 create Expression.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7260 create Expression.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Expression.help" ${BOOKS}/bookvol10.3.pamphlet \
             >${HELP}/Expression.help
 	@cp ${HELP}/Expression.help ${HELP}/EXPR.help
@@ -16892,7 +16895,7 @@ ${HELP}/Expression.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Expression (EXPR)" >>${HELPFILE}
 
 ${HELP}/Factored.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7023 create Factored.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7270 create Factored.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Factored.help" ${BOOKS}/bookvol10.3.pamphlet \
             >${HELP}/Factored.help
 	@cp ${HELP}/Factored.help ${HELP}/FR.help
@@ -16901,7 +16904,7 @@ ${HELP}/Factored.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Factored (FR)" >>${HELPFILE}
 
 ${HELP}/FactoredFunctions2.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7024 create FactoredFunctions2.help from \
+	@echo 7280 create FactoredFunctions2.help from \
             ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"FactoredFunctions2.help" ${BOOKS}/bookvol10.4.pamphlet \
             >${HELP}/FactoredFunctions2.help
@@ -16911,7 +16914,7 @@ ${HELP}/FactoredFunctions2.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo "FactoredFunctions2 (FR2)" >>${HELPFILE}
 
 ${HELP}/File.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7025 create File.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7290 create File.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"File.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/File.help
 	@cp ${HELP}/File.help ${HELP}/FILE.help
@@ -16920,7 +16923,7 @@ ${HELP}/File.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "File (FILE)" >>${HELPFILE}
 
 ${HELP}/FileName.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7026 create FileName.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7300 create FileName.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"FileName.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/FileName.help
 	@cp ${HELP}/FileName.help ${HELP}/FNAME.help
@@ -16929,7 +16932,7 @@ ${HELP}/FileName.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "FileName (FNAME)" >>${HELPFILE}
 
 ${HELP}/FlexibleArray.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7027 create FlexibleArray.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7310 create FlexibleArray.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"FlexibleArray.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/FlexibleArray.help
 	@cp ${HELP}/FlexibleArray.help ${HELP}/FARRAY.help
@@ -16938,7 +16941,7 @@ ${HELP}/FlexibleArray.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "FlexibleArray (FARRAY)" >>${HELPFILE}
 
 ${HELP}/Float.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7028 create Float.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7320 create Float.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Float.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/Float.help
 	@cp ${HELP}/Float.help ${HELP}/FLOAT.help
@@ -16947,7 +16950,7 @@ ${HELP}/Float.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Float (FLOAT)" >>${HELPFILE}
 
 ${HELP}/Fraction.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7029 create Fraction.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7330 create Fraction.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Fraction.help" ${BOOKS}/bookvol10.3.pamphlet \
             >${HELP}/Fraction.help
 	@cp ${HELP}/Fraction.help ${HELP}/FRAC.help
@@ -16956,7 +16959,7 @@ ${HELP}/Fraction.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Fraction (FRAC)" >>${HELPFILE}
 
 ${HELP}/FullPartialFractionExpansion.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7030 create FullPartialFractionExpansion.help from \
+	@echo 7340 create FullPartialFractionExpansion.help from \
             ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"FullPartialFractionExpansion.help" \
             ${BOOKS}/bookvol10.3.pamphlet \
@@ -16969,7 +16972,7 @@ ${HELP}/FullPartialFractionExpansion.help: ${BOOKS}/bookvol10.3.pamphlet
 
 ${HELP}/GeneralDistributedMultivariatePolynomial.help: \
             ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7031 create GeneralDistributedMultivariatePolynomial.help \
+	@echo 7350 create GeneralDistributedMultivariatePolynomial.help \
             from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"GeneralDistributedMultivariatePolynomial.help" \
            ${BOOKS}/bookvol10.3.pamphlet \
@@ -16982,7 +16985,7 @@ ${HELP}/GeneralDistributedMultivariatePolynomial.help: \
 	@echo "GeneralDistributedMultivariatePolynomial (GDMP)" >>${HELPFILE}
 
 ${HELP}/GeneralSparseTable.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7032 create GeneralSparseTable.help from \
+	@echo 7360 create GeneralSparseTable.help from \
             ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"GeneralSparseTable.help" ${BOOKS}/bookvol10.3.pamphlet \
             >${HELP}/GeneralSparseTable.help
@@ -16992,7 +16995,7 @@ ${HELP}/GeneralSparseTable.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "GeneralSparseTable (GSTBL)" >>${HELPFILE}
 
 ${HELP}/GroebnerFactorizationPackage.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7033 create GroebnerFactorizationPackage.help \
+	@echo 7370 create GroebnerFactorizationPackage.help \
             from ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"GroebnerFactorizationPackage.help" \
            ${BOOKS}/bookvol10.4.pamphlet \
@@ -17004,7 +17007,7 @@ ${HELP}/GroebnerFactorizationPackage.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo "GroebnerFactorizationPackage (GBF)" >>${HELPFILE}
 
 ${HELP}/GroebnerPackage.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7034 create GroebnerPackage.help from \
+	@echo 7380 create GroebnerPackage.help from \
             ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"GroebnerPackage.help" ${BOOKS}/bookvol10.4.pamphlet \
             >${HELP}/GroebnerPackage.help
@@ -17014,7 +17017,7 @@ ${HELP}/GroebnerPackage.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo "GroebnerPackage (GB)" >>${HELPFILE}
 
 ${HELP}/Heap.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7035 create Heap.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7390 create Heap.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Heap.help" ${BOOKS}/bookvol10.3.pamphlet \
              >${HELP}/Heap.help
 	@cp ${HELP}/Heap.help ${HELP}/HEAP.help
@@ -17023,7 +17026,7 @@ ${HELP}/Heap.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Heap (HEAP)" >>${HELPFILE}
 
 ${HELP}/HexadecimalExpansion.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7036 create HexadecimalExpansion.help \
+	@echo 7400 create HexadecimalExpansion.help \
             from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"HexadecimalExpansion.help" \
            ${BOOKS}/bookvol10.3.pamphlet \
@@ -17035,7 +17038,7 @@ ${HELP}/HexadecimalExpansion.help: ${BOOKS}/bookvol10.3.pamphlet
 
 ${HELP}/HomogeneousDistributedMultivariatePolynomial.help: \
             ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7037 create HomogeneousDistributedMultivariatePolynomial.help \
+	@echo 7410 create HomogeneousDistributedMultivariatePolynomial.help \
             from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"HomogeneousDistributedMultivariatePolynomial.help" \
            ${BOOKS}/bookvol10.3.pamphlet \
@@ -17049,7 +17052,7 @@ ${HELP}/HomogeneousDistributedMultivariatePolynomial.help: \
             >>${HELPFILE}
 
 ${HELP}/Integer.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7038 create Integer.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7420 create Integer.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Integer.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/Integer.help
 	@cp ${HELP}/Integer.help ${HELP}/INT.help
@@ -17058,7 +17061,7 @@ ${HELP}/Integer.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Integer (INT)" >>${HELPFILE}
 
 ${HELP}/IntegerCombinatoricFunctions.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7039 create IntegerCombinatoricFunctions.help from \
+	@echo 7430 create IntegerCombinatoricFunctions.help from \
            ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"IntegerCombinatoricFunctions.help" \
            ${BOOKS}/bookvol10.4.pamphlet \
@@ -17070,7 +17073,7 @@ ${HELP}/IntegerCombinatoricFunctions.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo "IntegerCombinatoricFunctions (COMBINAT)" >>${HELPFILE}
 
 ${HELP}/IntegerLinearDependence.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7039 create IntegerLinearDependence.help from \
+	@echo 7440 create IntegerLinearDependence.help from \
            ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"IntegerLinearDependence.help" \
            ${BOOKS}/bookvol10.4.pamphlet \
@@ -17082,7 +17085,7 @@ ${HELP}/IntegerLinearDependence.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo "IntegerLinearDependence (ZLINDEP)" >>${HELPFILE}
 
 ${HELP}/IntegerNumberTheoryFunctions.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7040 create IntegerNumberTheoryFunctions.help \
+	@echo 7450 create IntegerNumberTheoryFunctions.help \
             from ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"IntegerNumberTheoryFunctions.help" \
            ${BOOKS}/bookvol10.4.pamphlet \
@@ -17095,7 +17098,7 @@ ${HELP}/IntegerNumberTheoryFunctions.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo "IntegerNumberTheoryFunctions (INTHEORY)" >>${HELPFILE}
 
 ${HELP}/Kernel.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7041 create Kernel.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7460 create Kernel.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Kernel.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/Kernel.help
 	@cp ${HELP}/Kernel.help ${HELP}/KERNEL.help
@@ -17104,7 +17107,7 @@ ${HELP}/Kernel.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Kernel (KERNEL)" >>${HELPFILE}
 
 ${HELP}/KeyedAccessFile.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7042 create KeyedAccessFile.help from \
+	@echo 7470 create KeyedAccessFile.help from \
               ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"KeyedAccessFile.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/KeyedAccessFile.help
@@ -17114,7 +17117,7 @@ ${HELP}/KeyedAccessFile.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "KeyedAccessFile (KAFILE)" >>${HELPFILE}
 
 ${HELP}/LazardSetSolvingPackage.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7042 create LazardSetSolvingPackage.help from \
+	@echo 7480 create LazardSetSolvingPackage.help from \
               ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"LazardSetSolvingPackage.help" \
            ${BOOKS}/bookvol10.4.pamphlet \
@@ -17126,7 +17129,7 @@ ${HELP}/LazardSetSolvingPackage.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo "LazardSetSolvingPackage (LAZM3PK)" >>${HELPFILE}
 
 ${HELP}/LexTriangularPackage.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7043 create LexTriangularPackage.help from \
+	@echo 7490 create LexTriangularPackage.help from \
            ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"LexTriangularPackage.help" \
            ${BOOKS}/bookvol10.4.pamphlet \
@@ -17138,7 +17141,7 @@ ${HELP}/LexTriangularPackage.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo "LexTriangularPackage (LEXTRIPK)" >>${HELPFILE}
 
 ${HELP}/Library.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7044 create Library.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7500 create Library.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Library.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/Library.help
 	@cp ${HELP}/Library.help ${HELP}/LIB.help
@@ -17147,7 +17150,7 @@ ${HELP}/Library.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Library (LIB)" >>${HELPFILE}
 
 ${HELP}/LieExponentials.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7045 create LieExponentials.help from \
+	@echo 7510 create LieExponentials.help from \
            ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"LieExponentials.help" \
            ${BOOKS}/bookvol10.3.pamphlet \
@@ -17159,7 +17162,7 @@ ${HELP}/LieExponentials.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "LieExponentials (LEXP)" >>${HELPFILE}
 
 ${HELP}/LiePolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7046 create LiePolynomial.help from \
+	@echo 7520 create LiePolynomial.help from \
            ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"LiePolynomial.help" \
            ${BOOKS}/bookvol10.3.pamphlet \
@@ -17171,7 +17174,7 @@ ${HELP}/LiePolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "LiePolynomial (LPOLY)" >>${HELPFILE}
 
 ${HELP}/LinearOrdinaryDifferentialOperator.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7047 create LinearOrdinaryDifferentialOperator.help \
+	@echo 7530 create LinearOrdinaryDifferentialOperator.help \
            from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"LinearOrdinaryDifferentialOperator.help" \
           ${BOOKS}/bookvol10.3.pamphlet \
@@ -17184,7 +17187,7 @@ ${HELP}/LinearOrdinaryDifferentialOperator.help: ${BOOKS}/bookvol10.3.pamphlet
 
 ${HELP}/LinearOrdinaryDifferentialOperator1.help: \
       ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7048 create LinearOrdinaryDifferentialOperator1.help \
+	@echo 7540 create LinearOrdinaryDifferentialOperator1.help \
            from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"LinearOrdinaryDifferentialOperator1.help" \
           ${BOOKS}/bookvol10.3.pamphlet \
@@ -17197,7 +17200,7 @@ ${HELP}/LinearOrdinaryDifferentialOperator1.help: \
 
 ${HELP}/LinearOrdinaryDifferentialOperator2.help: \
      ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7049 create LinearOrdinaryDifferentialOperator2.help \
+	@echo 7550 create LinearOrdinaryDifferentialOperator2.help \
            from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"LinearOrdinaryDifferentialOperator2.help" \
           ${BOOKS}/bookvol10.3.pamphlet \
@@ -17209,7 +17212,7 @@ ${HELP}/LinearOrdinaryDifferentialOperator2.help: \
 	@echo "LinearOrdinaryDifferentialOperator2 (LODO2)" >>${HELPFILE}
 
 ${HELP}/List.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7050 create List.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7560 create List.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"List.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/List.help
 	@cp ${HELP}/List.help ${HELP}/LIST.help
@@ -17218,7 +17221,7 @@ ${HELP}/List.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "List (LIST)" >>${HELPFILE}
 
 ${HELP}/LyndonWord.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7051 create LyndonWord.help from \
+	@echo 7570 create LyndonWord.help from \
             ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"LyndonWord.help" \
             ${BOOKS}/bookvol10.3.pamphlet \
@@ -17230,7 +17233,7 @@ ${HELP}/LyndonWord.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "LyndonWord (LWORD)" >>${HELPFILE}
 
 ${HELP}/Magma.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7052 create Magma.help from \
+	@echo 7580 create Magma.help from \
             ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Magma.help" \
             ${BOOKS}/bookvol10.3.pamphlet \
@@ -17242,7 +17245,7 @@ ${HELP}/Magma.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Magma (MAGMA)" >>${HELPFILE}
 
 ${HELP}/MakeFunction.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7053 create MakeFunction.help from ${BOOKS}/bookvol10.4.pamphlet
+	@echo 7590 create MakeFunction.help from ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"MakeFunction.help" ${BOOKS}/bookvol10.4.pamphlet \
            >${HELP}/MakeFunction.help
 	@cp ${HELP}/MakeFunction.help ${HELP}/MKFUNC.help
@@ -17251,7 +17254,7 @@ ${HELP}/MakeFunction.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo "MakeFunction (MKFUNC)" >>${HELPFILE}
 
 ${HELP}/MappingPackage1.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7054 create MappingPackage1.help from \
+	@echo 7600 create MappingPackage1.help from \
            ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"MappingPackage1.help" ${BOOKS}/bookvol10.4.pamphlet \
            >${HELP}/MappingPackage1.help
@@ -17261,7 +17264,7 @@ ${HELP}/MappingPackage1.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo "MappingPackage1 (MAPPKG1)" >>${HELPFILE}
 
 ${HELP}/MappingPackage2.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7055 create MappingPackage2.help from \
+	@echo 7610 create MappingPackage2.help from \
            ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"MappingPackage2.help" ${BOOKS}/bookvol10.4.pamphlet \
            >${HELP}/MappingPackage2.help
@@ -17271,7 +17274,7 @@ ${HELP}/MappingPackage2.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo "MappingPackage2 (MAPPKG2)" >>${HELPFILE}
 
 ${HELP}/MappingPackage3.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7056 create MappingPackage3.help from \
+	@echo 7620 create MappingPackage3.help from \
            ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"MappingPackage3.help" ${BOOKS}/bookvol10.4.pamphlet \
            >${HELP}/MappingPackage3.help
@@ -17281,7 +17284,7 @@ ${HELP}/MappingPackage3.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo "MappingPackage3 (MAPPKG3)" >>${HELPFILE}
 
 ${HELP}/Matrix.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7057 create Matrix.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7630 create Matrix.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Matrix.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/Matrix.help
 	@cp ${HELP}/Matrix.help ${HELP}/MATRIX.help
@@ -17290,7 +17293,7 @@ ${HELP}/Matrix.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Matrix (MATRIX)" >>${HELPFILE}
 
 ${HELP}/MatrixCategory.help: ${BOOKS}/bookvol10.2.pamphlet
-	@echo 7057 create MatrixCategory.help from \
+	@echo 7640 create MatrixCategory.help from \
            ${BOOKS}/bookvol10.2.pamphlet
 	@${TANGLE} -R"MatrixCategory.help" ${BOOKS}/bookvol10.2.pamphlet \
            >${HELP}/MatrixCategory.help
@@ -17300,7 +17303,7 @@ ${HELP}/MatrixCategory.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo "MatrixCategory (MATCAT)" >>${HELPFILE}
 
 ${HELP}/Multiset.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7058 create Multiset.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7650 create Multiset.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Multiset.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/Multiset.help
 	@cp ${HELP}/Multiset.help ${HELP}/MSET.help
@@ -17309,7 +17312,7 @@ ${HELP}/Multiset.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Multiset (MSET)" >>${HELPFILE}
 
 ${HELP}/MultivariatePolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7059 create MultivariatePolynomial.help from \
+	@echo 7660 create MultivariatePolynomial.help from \
            ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"MultivariatePolynomial.help" \
            ${BOOKS}/bookvol10.3.pamphlet \
@@ -17321,7 +17324,7 @@ ${HELP}/MultivariatePolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "MultivariatePolynomial (MPOLY)" >>${HELPFILE}
 
 ${HELP}/NagEigenPackage.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7060 create NagEigenPackage.help from \
+	@echo 7670 create NagEigenPackage.help from \
              ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"NagEigenPackage.help" ${BOOKS}/bookvol10.4.pamphlet \
              >${HELP}/NagEigenPackage.help
@@ -17329,7 +17332,7 @@ ${HELP}/NagEigenPackage.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo "NagEigenPackage (NAGF02)" >>${HELPFILE}
 
 ${HELP}/NagFittingPackage.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7060 create NagFittingPackage.help from \
+	@echo 7680 create NagFittingPackage.help from \
              ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"NagFittingPackage.help" ${BOOKS}/bookvol10.4.pamphlet \
              >${HELP}/NagFittingPackage.help
@@ -17337,7 +17340,7 @@ ${HELP}/NagFittingPackage.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo "NagFittingPackage (NAGE02)" >>${HELPFILE}
 
 ${HELP}/NagLinearEquationSolvingPackage.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7060 create NagLinearEquationSolvingPackage.help from \
+	@echo 7690 create NagLinearEquationSolvingPackage.help from \
              ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"NagLinearEquationSolvingPackage.help" \
              ${BOOKS}/bookvol10.4.pamphlet \
@@ -17346,7 +17349,7 @@ ${HELP}/NagLinearEquationSolvingPackage.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo "NagLinearEquationSolvingPackage (NAGF04)" >>${HELPFILE}
 
 ${HELP}/NagIntegrationPackage.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7060 create NagIntegrationPackage.help from \
+	@echo 7700 create NagIntegrationPackage.help from \
              ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"NagIntegrationPackage.help" \
              ${BOOKS}/bookvol10.4.pamphlet \
@@ -17355,7 +17358,7 @@ ${HELP}/NagIntegrationPackage.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo "NagIntegrationPackage (NAGD01)" >>${HELPFILE}
 
 ${HELP}/NagInterpolationPackage.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7060 create NagInterpolationPackage.help from \
+	@echo 7710 create NagInterpolationPackage.help from \
              ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"NagInterpolationPackage.help" \
              ${BOOKS}/bookvol10.4.pamphlet \
@@ -17364,7 +17367,7 @@ ${HELP}/NagInterpolationPackage.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo "NagInterpolationPackage (NAGE01)" >>${HELPFILE}
 
 ${HELP}/NagLapack.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7060 create NagLapack.help from \
+	@echo 7720 create NagLapack.help from \
              ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"NagLapack.help" ${BOOKS}/bookvol10.4.pamphlet \
              >${HELP}/NagLapack.help
@@ -17372,7 +17375,7 @@ ${HELP}/NagLapack.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo "NagLapack (NAGF07)" >>${HELPFILE}
 
 ${HELP}/NagMatrixOperationsPackage.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7060 create NagMatrixOperationsPackage.help from \
+	@echo 7730 create NagMatrixOperationsPackage.help from \
              ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"NagMatrixOperationsPackage.help" \
              ${BOOKS}/bookvol10.4.pamphlet \
@@ -17381,7 +17384,7 @@ ${HELP}/NagMatrixOperationsPackage.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo "NagMatrixOperationsPackage (NAGF01)" >>${HELPFILE}
 
 ${HELP}/NagOptimisationPackage.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7060 create NagOptimisationPackage.help from \
+	@echo 7740 create NagOptimisationPackage.help from \
              ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"NagOptimisationPackage.help" \
              ${BOOKS}/bookvol10.4.pamphlet \
@@ -17391,7 +17394,7 @@ ${HELP}/NagOptimisationPackage.help: ${BOOKS}/bookvol10.4.pamphlet
 
 ${HELP}/NagOrdinaryDifferentialEquationsPackage.help: \
   ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7060 create NagOrdinaryDifferentialEquationsPackage.help from \
+	@echo 7750 create NagOrdinaryDifferentialEquationsPackage.help from \
              ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"NagOrdinaryDifferentialEquationsPackage.help" \
              ${BOOKS}/bookvol10.4.pamphlet \
@@ -17402,7 +17405,7 @@ ${HELP}/NagOrdinaryDifferentialEquationsPackage.help: \
 
 ${HELP}/NagPartialDifferentialEquationsPackage.help: \
   ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7060 create NagPartialDifferentialEquationsPackage.help from \
+	@echo 7760 create NagPartialDifferentialEquationsPackage.help from \
              ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"NagPartialDifferentialEquationsPackage.help" \
              ${BOOKS}/bookvol10.4.pamphlet \
@@ -17412,7 +17415,7 @@ ${HELP}/NagPartialDifferentialEquationsPackage.help: \
 	@echo "NagPartialDifferentialEquationsPackage (NAGD03)" >>${HELPFILE}
 
 ${HELP}/NagPolynomialRootsPackage.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7060 create NagPolynomialRootsPackage.help from \
+	@echo 7770 create NagPolynomialRootsPackage.help from \
              ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"NagPolynomialRootsPackage.help" \
              ${BOOKS}/bookvol10.4.pamphlet \
@@ -17421,7 +17424,7 @@ ${HELP}/NagPolynomialRootsPackage.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo "NagPolynomialRootsPackage (NAGC02)" >>${HELPFILE}
 
 ${HELP}/NagRootFindingPackage.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7060 create NagRootFindingPackage.help from \
+	@echo 7780 create NagRootFindingPackage.help from \
              ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"NagRootFindingPackage.help" \
              ${BOOKS}/bookvol10.4.pamphlet \
@@ -17430,7 +17433,7 @@ ${HELP}/NagRootFindingPackage.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo "NagRootFindingPackage (NAGC05)" >>${HELPFILE}
 
 ${HELP}/NagSeriesSummationPackage.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7060 create NagSeriesSummationPackage.help from \
+	@echo 7790 create NagSeriesSummationPackage.help from \
              ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"NagSeriesSummationPackage.help" \
              ${BOOKS}/bookvol10.4.pamphlet \
@@ -17439,7 +17442,7 @@ ${HELP}/NagSeriesSummationPackage.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo "NagSeriesSummationPackage (NAGC06)" >>${HELPFILE}
 
 ${HELP}/NagSpecialFunctionsPackage.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7060 create NagSpecialFunctionsPackage.help from \
+	@echo 7800 create NagSpecialFunctionsPackage.help from \
              ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"NagSpecialFunctionsPackage.help" \
              ${BOOKS}/bookvol10.4.pamphlet \
@@ -17448,7 +17451,7 @@ ${HELP}/NagSpecialFunctionsPackage.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo "NagSpecialFunctionsPackage (NAGS)" >>${HELPFILE}
 
 ${HELP}/None.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7060 create None.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7810 create None.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"None.help" ${BOOKS}/bookvol10.3.pamphlet \
              >${HELP}/None.help
 	@cp ${HELP}/None.help ${HELP}/NONE.help
@@ -17457,7 +17460,7 @@ ${HELP}/None.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "None (NONE)" >>${HELPFILE}
 
 ${HELP}/NottinghamGroup.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7035 create NottinghamGroup.help from \
+	@echo 7820 create NottinghamGroup.help from \
              ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"NottinghamGroup.help" ${BOOKS}/bookvol10.3.pamphlet \
              >${HELP}/NottinghamGroup.help
@@ -17467,7 +17470,7 @@ ${HELP}/NottinghamGroup.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "NottinghamGroup (NOTTING)" >>${HELPFILE}
 
 ${HELP}/Octonion.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7061 create Octonion.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7830 create Octonion.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Octonion.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/Octonion.help
 	@cp ${HELP}/Octonion.help ${HELP}/OCT.help
@@ -17476,7 +17479,7 @@ ${HELP}/Octonion.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Octonion (OCT)" >>${HELPFILE}
 
 ${HELP}/OneDimensionalArray.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7062 create OneDimensionalArray.help from \
+	@echo 7840 create OneDimensionalArray.help from \
            ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"OneDimensionalArray.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/OneDimensionalArray.help
@@ -17487,7 +17490,7 @@ ${HELP}/OneDimensionalArray.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "OneDimensionalArray (ARRAY1)" >>${HELPFILE}
 
 ${HELP}/Operator.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7063 create Operator.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7850 create Operator.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Operator.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/Operator.help
 	@cp ${HELP}/Operator.help ${HELP}/OP.help
@@ -17496,7 +17499,7 @@ ${HELP}/Operator.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Operator (OP)" >>${HELPFILE}
 
 ${HELP}/OrderedVariableList.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7064 create OrderedVariableList.help from \
+	@echo 7860 create OrderedVariableList.help from \
            ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"OrderedVariableList.help" \
            ${BOOKS}/bookvol10.3.pamphlet \
@@ -17508,7 +17511,7 @@ ${HELP}/OrderedVariableList.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "OrderedVariableList (OVAR)" >>${HELPFILE}
 
 ${HELP}/OrderlyDifferentialPolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7065 create OrderlyDifferentialPolynomial.help from \
+	@echo 7870 create OrderlyDifferentialPolynomial.help from \
            ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"OrderlyDifferentialPolynomial.help" \
            ${BOOKS}/bookvol10.3.pamphlet \
@@ -17520,7 +17523,7 @@ ${HELP}/OrderlyDifferentialPolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "OrderlyDifferentialPolynomial (ODPOL)" >>${HELPFILE}
 
 ${HELP}/PartialFraction.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7066 create PartialFraction.help from \
+	@echo 7880 create PartialFraction.help from \
            ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"PartialFraction.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/PartialFraction.help
@@ -17530,7 +17533,7 @@ ${HELP}/PartialFraction.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "PartialFraction (PFR)" >>${HELPFILE}
 
 ${HELP}/Permanent.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7067 create Permanent.help from ${BOOKS}/bookvol10.4.pamphlet
+	@echo 7890 create Permanent.help from ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"Permanent.help" ${BOOKS}/bookvol10.4.pamphlet \
            >${HELP}/Permanent.help
 	@cp ${HELP}/Permanent.help ${HELP}/PERMAN.help
@@ -17539,7 +17542,7 @@ ${HELP}/Permanent.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo "Permanent (PERMAN)" >>${HELPFILE}
 
 ${HELP}/Permutation.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7068 create Permutation.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7900 create Permutation.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Permutation.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/Permutation.help
 	@cp ${HELP}/Permutation.help ${HELP}/PERM.help
@@ -17548,7 +17551,7 @@ ${HELP}/Permutation.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Permutation (PERM)" >>${HELPFILE}
 
 ${HELP}/PlaneAlgebraicCurvePlot.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7069 create PlaneAlgebraicCurvePlot.help from \
+	@echo 7910 create PlaneAlgebraicCurvePlot.help from \
             ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"PlaneAlgebraicCurvePlot.help" \
           ${BOOKS}/bookvol10.3.pamphlet \
@@ -17560,7 +17563,7 @@ ${HELP}/PlaneAlgebraicCurvePlot.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "PlaneAlgebraicCurvePlot (ACPLOT)" >>${HELPFILE}
 
 ${HELP}/Plot.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7070 create Plot.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7920 create Plot.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Plot.help" ${BOOKS}/bookvol10.3.pamphlet \
             >${HELP}/Plot.help
 	@cp ${HELP}/Plot.help ${HELP}/PLOT.help
@@ -17569,7 +17572,7 @@ ${HELP}/Plot.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Plot (PLOT)" >>${HELPFILE}
 
 ${HELP}/Polynomial.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7071 create Polynomial.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7930 create Polynomial.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Polynomial.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/Polynomial.help
 	@cp ${HELP}/Polynomial.help ${HELP}/POLY.help
@@ -17578,7 +17581,7 @@ ${HELP}/Polynomial.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Polynomial (POLY)" >>${HELPFILE}
 
 ${HELP}/Quaternion.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7072 create Quaternion.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7940 create Quaternion.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Quaternion.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/Quaternion.help
 	@cp ${HELP}/Quaternion.help ${HELP}/QUAT.help
@@ -17587,7 +17590,7 @@ ${HELP}/Quaternion.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Quaternion (QUAT)" >>${HELPFILE}
 
 ${HELP}/Queue.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7073 create Queue.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7950 create Queue.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Queue.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/Queue.help
 	@cp ${HELP}/Queue.help ${HELP}/QUEUE.help
@@ -17596,7 +17599,7 @@ ${HELP}/Queue.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Queue (QUEUE)" >>${HELPFILE}
 
 ${HELP}/RadixExpansion.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7074 create RadixExpansion.help from \
+	@echo 7960 create RadixExpansion.help from \
            ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"RadixExpansion.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/RadixExpansion.help
@@ -17606,7 +17609,7 @@ ${HELP}/RadixExpansion.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "RadixExpansion (RADIX)" >>${HELPFILE}
 
 ${HELP}/RealClosure.help: ${BOOKS}/bookvol10.3.pamphlet 
-	@echo 7075 create RealClosure.help from ${BOOKS}/bookvol10.3.pamphlet 
+	@echo 7970 create RealClosure.help from ${BOOKS}/bookvol10.3.pamphlet 
 	@${TANGLE} -R"RealClosure.help" ${BOOKS}/bookvol10.3.pamphlet  \
            >${HELP}/RealClosure.help
 	@cp ${HELP}/RealClosure.help ${HELP}/RECLOS.help
@@ -17615,7 +17618,7 @@ ${HELP}/RealClosure.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "RealClosure (RECLOS)" >>${HELPFILE}
 
 ${HELP}/RealSolvePackage.help: ${BOOKS}/bookvol10.4.pamphlet 
-	@echo 7076 create RealSolvePackage.help from \
+	@echo 7980 create RealSolvePackage.help from \
           ${BOOKS}/bookvol10.4.pamphlet 
 	@${TANGLE} -R"RealSolvePackage.help" ${BOOKS}/bookvol10.4.pamphlet  \
            >${HELP}/RealSolvePackage.help
@@ -17625,7 +17628,7 @@ ${HELP}/RealSolvePackage.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo "RealSolvePackage (REALSOLV)" >>${HELPFILE}
 
 ${HELP}/RegularTriangularSet.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7077 create RegularTriangularSet.help from \
+	@echo 7990 create RegularTriangularSet.help from \
           ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"RegularTriangularSet.help" \
           ${BOOKS}/bookvol10.3.pamphlet \
@@ -17637,7 +17640,7 @@ ${HELP}/RegularTriangularSet.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "RegularTriangularSet (REGSET)" >>${HELPFILE}
 
 ${HELP}/RomanNumeral.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7078 create RomanNumeral.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 8000 create RomanNumeral.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"RomanNumeral.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/RomanNumeral.help
 	@cp ${HELP}/RomanNumeral.help ${HELP}/ROMAN.help
@@ -17646,7 +17649,7 @@ ${HELP}/RomanNumeral.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "RomanNumeral (ROMAN)" >>${HELPFILE}
 
 ${HELP}/Segment.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7079 create Segment.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 8010 create Segment.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Segment.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/Segment.help
 	@cp ${HELP}/Segment.help ${HELP}/SEG.help
@@ -17655,7 +17658,7 @@ ${HELP}/Segment.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Segment (SEG)" >>${HELPFILE}
 
 ${HELP}/SegmentBinding.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7080 create SegmentBinding.help from \
+	@echo 8020 create SegmentBinding.help from \
            ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"SegmentBinding.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/SegmentBinding.help
@@ -17665,7 +17668,7 @@ ${HELP}/SegmentBinding.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "SegmentBinding (SEGBIND)" >>${HELPFILE}
 
 ${HELP}/Set.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7081 create Set.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 8030 create Set.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Set.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/Set.help
 	@cp ${HELP}/Set.help ${HELP}/SET.help
@@ -17674,7 +17677,7 @@ ${HELP}/Set.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Set (SET)" >>${HELPFILE}
 
 ${HELP}/SingleInteger.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7082 create SingleInteger.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 8040 create SingleInteger.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"SingleInteger.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/SingleInteger.help
 	@cp ${HELP}/SingleInteger.help ${HELP}/SINT.help
@@ -17683,7 +17686,7 @@ ${HELP}/SingleInteger.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "SingleInteger (SINT)" >>${HELPFILE}
 
 ${HELP}/SparseTable.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7083 create SparseTable.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 8050 create SparseTable.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"SparseTable.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/SparseTable.help
 	@cp ${HELP}/SparseTable.help ${HELP}/STBL.help
@@ -17691,8 +17694,20 @@ ${HELP}/SparseTable.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/SparseTable.input
 	@echo "SparseTable (STBL)" >>${HELPFILE}
 
+${HELP}/SparseMultivariateTaylorSeries.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 8060 create SparseMultivariateTaylorSeries.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"SparseMultivariateTaylorSeries.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/SparseMultivariateTaylorSeries.help
+	@cp ${HELP}/SparseMultivariateTaylorSeries.help ${HELP}/SMTS.help
+	@${TANGLE} -R"SparseMultivariateTaylorSeries.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/SparseMultivariateTaylorSeries.input
+	@echo "SparseMultivariateTaylorSeries (SMTS)" >>${HELPFILE}
+
 ${HELP}/SquareMatrix.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7084 create SquareMatrix.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 8070 create SquareMatrix.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"SquareMatrix.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/SquareMatrix.help
 	@cp ${HELP}/SquareMatrix.help ${HELP}/SQMATRIX.help
@@ -17701,7 +17716,7 @@ ${HELP}/SquareMatrix.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "SquareMatrix (SQMATRIX)" >>${HELPFILE}
 
 ${HELP}/SquareFreeRegularTriangularSet.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7085 create SquareFreeRegularTriangularSet.help from \
+	@echo 8080 create SquareFreeRegularTriangularSet.help from \
            ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"SquareFreeRegularTriangularSet.help" \
            ${BOOKS}/bookvol10.3.pamphlet \
@@ -17713,7 +17728,7 @@ ${HELP}/SquareFreeRegularTriangularSet.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "SquareFreeRegularTriangularSet (SREGSET)" >>${HELPFILE}
 
 ${HELP}/Stack.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7086 create Stack.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 8090 create Stack.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Stack.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/Stack.help
 	@cp ${HELP}/Stack.help ${HELP}/STACK.help
@@ -17722,7 +17737,7 @@ ${HELP}/Stack.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Stack (STACK)" >>${HELPFILE}
 
 ${HELP}/Stream.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7087 create Stream.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 8100 create Stream.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Stream.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/Stream.help
 	@cp ${HELP}/Stream.help ${HELP}/STREAM.help
@@ -17731,7 +17746,7 @@ ${HELP}/Stream.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Stream (STREAM)" >>${HELPFILE}
 
 ${HELP}/String.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7088 create String.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 8110 create String.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"String.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/String.help
 	@cp ${HELP}/String.help ${HELP}/STRING.help
@@ -17740,7 +17755,7 @@ ${HELP}/String.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "String (STRING)" >>${HELPFILE}
 
 ${HELP}/StringTable.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7089 create StringTable.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 8120 create StringTable.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"StringTable.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/StringTable.help
 	@cp ${HELP}/StringTable.help ${HELP}/STRTBL.help
@@ -17749,7 +17764,7 @@ ${HELP}/StringTable.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "StringTable (STRTBL)" >>${HELPFILE}
 
 ${HELP}/Symbol.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7090 create Symbol.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 8130 create Symbol.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Symbol.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/Symbol.help
 	@cp ${HELP}/Symbol.help ${HELP}/SYMBOL.help
@@ -17758,7 +17773,7 @@ ${HELP}/Symbol.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Symbol (SYMBOL)" >>${HELPFILE}
 
 ${HELP}/Table.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7091 create Table.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 8140 create Table.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Table.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/Table.help
 	@cp ${HELP}/Table.help ${HELP}/TABLE.help
@@ -17767,7 +17782,7 @@ ${HELP}/Table.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Table (TABLE)" >>${HELPFILE}
 
 ${HELP}/TextFile.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7092 create TextFile.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 8150 create TextFile.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"TextFile.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/TextFile.help
 	@cp ${HELP}/TextFile.help ${HELP}/TEXTFILE.help
@@ -17776,7 +17791,7 @@ ${HELP}/TextFile.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "TextFile (TEXTFILE)" >>${HELPFILE}
 
 ${HELP}/TwoDimensionalArray.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7093 create TwoDimensionalArray.help from \
+	@echo 8160 create TwoDimensionalArray.help from \
            ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"TwoDimensionalArray.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/TwoDimensionalArray.help
@@ -17787,7 +17802,7 @@ ${HELP}/TwoDimensionalArray.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "TwoDimensionalArray (ARRAY2)" >>${HELPFILE}
 
 ${HELP}/TwoDimensionalViewport.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7094 create TwoDimensionalViewport.help from \
+	@echo 8170 create TwoDimensionalViewport.help from \
            ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"TwoDimensionalViewport.help" \
            ${BOOKS}/bookvol10.3.pamphlet \
@@ -17797,7 +17812,7 @@ ${HELP}/TwoDimensionalViewport.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "TwoDimensionalViewport (VIEW2D)" >>${HELPFILE}
 
 ${HELP}/UnivariatePolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7095 create UnivariatePolynomial.help from \
+	@echo 8180 create UnivariatePolynomial.help from \
            ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"UnivariatePolynomial.help" \
           ${BOOKS}/bookvol10.3.pamphlet \
@@ -17809,7 +17824,7 @@ ${HELP}/UnivariatePolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "UnivariatePolynomial (UP)" >>${HELPFILE}
 
 ${HELP}/UnivariateSkewPolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7095 create UnivariateSkewPolynomial.help from \
+	@echo 8190 create UnivariateSkewPolynomial.help from \
            ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"UnivariateSkewPolynomial.help" \
           ${BOOKS}/bookvol10.3.pamphlet \
@@ -17821,7 +17836,7 @@ ${HELP}/UnivariateSkewPolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "UnivariateSkewPolynomial (OREUP)" >>${HELPFILE}
 
 ${HELP}/UniversalSegment.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7096 create UniversalSegment.help from \
+	@echo 8200 create UniversalSegment.help from \
            ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"UniversalSegment.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/UniversalSegment.help
@@ -17831,7 +17846,7 @@ ${HELP}/UniversalSegment.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "UniversalSegment (UNISEG)" >>${HELPFILE}
 
 ${HELP}/Vector.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7097 create Vector.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 8210 create Vector.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Vector.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/Vector.help
 	@cp ${HELP}/Vector.help ${HELP}/VECTOR.help
@@ -17840,7 +17855,7 @@ ${HELP}/Vector.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Vector (VECTOR)" >>${HELPFILE}
 
 ${HELP}/Void.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7098 create Void.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 8220 create Void.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Void.help" ${BOOKS}/bookvol10.3.pamphlet \
             >${HELP}/Void.help
 	@cp ${HELP}/Void.help ${HELP}/VOID.help
@@ -17849,7 +17864,7 @@ ${HELP}/Void.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Void (VOID)" >>${HELPFILE}
 
 ${HELP}/WuWenTsunTriangularSet.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7099 create WuWenTsunTriangularSet.help from \
+	@echo 8230 create WuWenTsunTriangularSet.help from \
            ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"WuWenTsunTriangularSet.help" \
            ${BOOKS}/bookvol10.3.pamphlet \
@@ -17861,7 +17876,7 @@ ${HELP}/WuWenTsunTriangularSet.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "WuWenTsunTriangularSet (WUTSET)" >>${HELPFILE}
 
 ${HELP}/XPBWPolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7100 create XPBWPolynomial.help from \
+	@echo 8240 create XPBWPolynomial.help from \
            ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"XPBWPolynomial.help" \
            ${BOOKS}/bookvol10.3.pamphlet \
@@ -17873,7 +17888,7 @@ ${HELP}/XPBWPolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "XPBWPolynomial (XPBWPOLY)" >>${HELPFILE}
 
 ${HELP}/XPolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7101 create XPolynomial.help from \
+	@echo 8250 create XPolynomial.help from \
            ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"XPolynomial.help"  \
            ${BOOKS}/bookvol10.3.pamphlet \
@@ -17885,7 +17900,7 @@ ${HELP}/XPolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "XPolynomial (XPOLY)" >>${HELPFILE}
 
 ${HELP}/XPolynomialRing.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7102 create XPolynomialRing.help from \
+	@echo 8260 create XPolynomialRing.help from \
            ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"XPolynomialRing.help" \
            ${BOOKS}/bookvol10.3.pamphlet \
@@ -17897,7 +17912,7 @@ ${HELP}/XPolynomialRing.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "XPolynomialRing (XPR)" >>${HELPFILE}
 
 ${HELP}/ZeroDimensionalSolvePackage.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7103 create ZeroDimensionalSolvePackage.help from \
+	@echo 8270 create ZeroDimensionalSolvePackage.help from \
            ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"ZeroDimensionalSolvePackage.help" \
            ${BOOKS}/bookvol10.4.pamphlet \
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index aec081d..8468db8 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1350,5 +1350,7 @@ bookvol10.4 ESCONT +-> conversion<br/>
 bookvol10.3 SMTS +-> conversion<br/>
 <a href="patches/20090518.06.tpd.patch">20090518.06.tpd.patch</a>
 bookvol10.4 EXPR2 +-> conversion<br/>
+<a href="patches/20090518.07.tpd.patch">20090518.07.tpd.patch</a>
+bookvol10.3 SMTS add input, help, examples<br/>
  </body>
 </html>
